# This file created by conda-build 3.17.8
# meta.yaml template originally from:
# C:\ci\containers\000023lton3\tmp\build\80754af9\rsync-recipes\sqlalchemy-1.3.3-c_compiler_vs2017-python_3.6-on-winbuilder, last modified Tue Apr 16 08:41:34 2019
# ------------------------------------------------

package:
    name: sqlalchemy
    version: 1.3.3
source:
    sha256: 91c54ca8345008fceaec987e10924bf07dcab36c442925357e5a467b36a38319
    url: https://pypi.io/packages/source/S/SQLAlchemy/SQLAlchemy-1.3.3.tar.gz
build:
    number: '0'
    script: python -m pip install --no-deps --ignore-installed .
    string: py36he774522_0
requirements:
    build:
        - vs2017_win-64 19.15.26726 h3c6f0ee_0
    host:
        - certifi 2019.3.9 py36_0
        - pip 19.0.3 py36_0
        - python 3.6.8 h9f7ef89_7
        - setuptools 41.0.0 py36_0
        - sqlite 3.27.2 he774522_0
        - vc 14.1 h0510ff6_4
        - vs2015_runtime 14.15.26706 h3a45250_0
        - wheel 0.33.1 py36_0
        - wincertstore 0.2 py36h7fe50ca_0
    run:
        - python >=3.6,<3.7.0a0
        - vc >=14.1,<15.0a0
test:
    imports:
        - sqlalchemy
        - sqlalchemy.connectors
        - sqlalchemy.databases
        - sqlalchemy.dialects
        - sqlalchemy.dialects.firebird
        - sqlalchemy.dialects.mssql
        - sqlalchemy.dialects.mysql
        - sqlalchemy.dialects.oracle
        - sqlalchemy.dialects.postgresql
        - sqlalchemy.dialects.sqlite
        - sqlalchemy.dialects.sybase
        - sqlalchemy.engine
        - sqlalchemy.event
        - sqlalchemy.ext
        - sqlalchemy.ext.declarative
        - sqlalchemy.orm
        - sqlalchemy.sql
        - sqlalchemy.testing
        - sqlalchemy.testing.plugin
        - sqlalchemy.util
about:
    description: 'SQLAlchemy is the Python SQL toolkit and Object Relational Mapper
        that

        gives application developers the full power and flexibility of SQL.

        '
    dev_url: https://bitbucket.org/zzzeek/sqlalchemy/
    doc_source_url: https://github.com/zzzeek/sqlalchemy/blob/master/doc/build/index.rst
    doc_url: http://docs.sqlalchemy.org/en/rel_1_0/
    home: http://www.sqlalchemy.org/
    license: MIT
    license_file: LICENSE
    summary: Database Abstraction Library.
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - igortg
        - mcs07
        - nehaljwani
        - ocefpaf
